Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Interface IExtensionPoint

    public interface IExtensionPoint

This interface is the same as the Eclipse platform `IExtensionPoint` interface. An extension point declared in a plug-in. Except for the list of extensions plugged in to it, the information available for an extension point is obtained from the declaring plug-in's manifest (`plugin.xml`) file.

This interface is not intended to be implemented by clients.

Method Summary
`IConfigurationElement[]` | `getConfigurationElements()` Returns all configuration elements from all extensions configured into this extension point.
`IExtension` | `getExtension(java.lang.String extensionId)` Returns the extension with the given unique identifier configured into this extension point, or `null` if there is no such extension.
`IExtension[]` | `getExtensions()` Returns all extensions configured into this extension point.
`java.lang.String` | `getLabel()` Returns a displayable label for this extension point.
`java.lang.String` | `getNamespace()` Returns the namespace for this extension point.
`java.lang.String` | `getSchemaReference()` Returns reference to the extension point schema.
`java.lang.String` | `getSimpleIdentifier()` Returns the simple identifier of this extension point.
`java.lang.String` | `getUniqueIdentifier()` Returns the unique identifier of this extension point.

Method Detail

### getConfigurationElements

    IConfigurationElement[] getConfigurationElements()

  Returns all configuration elements from all extensions configured into this extension point. Returns an empty array if this extension point has no extensions configured, or none of the extensions contain configuration elements.

  Returns:
    the configuration elements for all extension configured into this extension point

### getNamespace

    java.lang.String getNamespace()

  Returns the namespace for this extension point. This value can be used in various global facilities to discover this extension point's provider.

  Note: This is an early access API to the new OSGI-based Eclipse 3.0 Platform Runtime. Because the APIs for the new runtime have not yet been fully stabilized, they should only be used by clients needing to take particular advantage of new OSGI-specific functionality, and only then with the understanding that these APIs may well change in incompatible ways until they reach their finished, stable form (post-3.0).

  Returns:
    the namespace for this extension point
  Since:
    3.0
  See Also:
    `Platform.getBundle(String)`, `IExtensionRegistry`

### getExtension

    IExtension getExtension(java.lang.String extensionId)

  Returns the extension with the given unique identifier configured into this extension point, or `null` if there is no such extension. Since an extension might not have an identifier, some extensions can only be found via the `getExtensions` method.

  Parameters:
    `extensionId` - the unique identifier of an extension (e.g. `"com.example.acme.main"`).
  Returns:
    an extension, or `null`

### getExtensions

    IExtension[] getExtensions()

  Returns all extensions configured into this extension point. Returns an empty array if this extension point has no extensions.

  Returns:
    the extensions configured into this extension point

### getLabel

    java.lang.String getLabel()

  Returns a displayable label for this extension point. Returns the empty string if no label for this extension point is specified in the plug-in manifest file.

  Note that any translation specified in the plug-in manifest file is automatically applied.

  Returns:
    a displayable string label for this extension point, possibly the empty string

### getSchemaReference

    java.lang.String getSchemaReference()

  Returns reference to the extension point schema. The schema reference is returned as a URL path relative to the plug-in installation URL. Returns the empty string if no schema for this extension point is specified in the plug-in manifest file.

  Returns:
    a relative URL path, or an empty string

### getSimpleIdentifier

    java.lang.String getSimpleIdentifier()

  Returns the simple identifier of this extension point. This identifier is a non-empty string containing no period characters (`'.'`) and is guaranteed to be unique within the defining plug-in.

  Returns:
    the simple identifier of the extension point (e.g. `"builders"`)

### getUniqueIdentifier

    java.lang.String getUniqueIdentifier()

  Returns the unique identifier of this extension point. This identifier is unique within the plug-in registry, and is composed of the namespace for this extension point and this extension point's simple identifier.

  Returns:
    the unique identifier of the extension point (e.g. `"org.eclipse.core.resources.builders"`)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.